
from Tkinter import *
import string



class Verbcreator(Toplevel):
    def __init__(self, client):
        Toplevel.__init__(self)
        self.client = client
        self.title("Verbatim Creator")
        f = Frame(self,relief=SUNKEN)
        f.pack(side=TOP)
        
	Label(f,text="commad:").grid(row=0,sticky=E)
        self.vcommand = StringVar()
        e = Entry(f,width=40,textvariable=self.vcommand)
        e.grid(row=0,column=1,sticky=W)

        #Label(f,text="subject:").grid(row=1,sticky=E)
        #self.subject = StringVar()
        #e = Entry(f,width=60,textvariable=self.subject)
        #e.grid(row=1,column=1,sticky=W)

        tf = Frame(f)

        t = Text(tf,width=75,height=30)
        self.text = t
        t.pack(side=LEFT)
        s = Scrollbar(tf, command= t.yview)
        s.pack(side=RIGHT,fill=Y)
        t.configure(yscrollcommand=s.set)
        t.configure(wrap=WORD)
        tf.grid(row=1,column=0,columnspan=2)
        

        f = Frame(self, relief=SUNKEN,borderwidth=3)
        f.pack(side=TOP,fill=X)

        b=Button(f, text="Cancel", command = self.cancel)
        b.pack(side=RIGHT)
        b=Button(f, text="Send", command=self.send)
        b.pack(side=RIGHT)
        
    def cancel(self):
        self.destroy()

    def send(self):
        command = self.vcommand.get()
        if len(string.strip(command))<1:
            showinfo("Info", "You have to enter an command.")
            return        

        text = self.text.get(1.0,END)
        if len(string.strip(text))<1:
            showinfo("Info", "You should write something.")
            return
	
	self.client.send(command+" #n\\")


        for l in string.split(text,"\n"):
            self.client.send("#n"+l+"#n\\")
	self.client.send("#n")  
        self.destroy()

